# CellBackgroundDrawer Class Reference
[CAPTCHA's implementation]

Inheritance diagram for CellBackgroundDrawer:
[legend]

List of all members.

## Public Member Functions

| __construct ($step)
| draw ()

## Private Attributes

| $step = null

## Detailed Description

Definition at line 15 of file CellBackgroundDrawer.class.php.

## Constructor & Destructor Documentation

CellBackgroundDrawer::__construct | ( | $ | step | ) |

Definition at line 19 of file CellBackgroundDrawer.class.php.

References $step.

## Member Function Documentation

CellBackgroundDrawer::draw | ( |  | ) |

Returns:
  CellBackgroundDrawer

Reimplemented from BackgroundDrawer.

Definition at line 27 of file CellBackgroundDrawer.class.php.

References Drawer::getTuringImage(), and BackgroundDrawer::makeColor().

Here is the call graph for this function:

## Member Data Documentation

CellBackgroundDrawer::$step = null`[private]`

Definition at line 17 of file CellBackgroundDrawer.class.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- main/Utils/TuringTest/CellBackgroundDrawer.class.php